FROM nginx:stable
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>

# Default variables
ENV NGINX_HOST localhost

# Create sensible CERTS
RUN mkdir /etc/nginx/certs
COPY req.pem cert.key dhparams.pem /etc/nginx/certs/
#
# Clean, copy templates and usefull files
RUN rm /etc/nginx/conf.d/*
COPY launch.sh /launch.sh
RUN mkdir /etc/nginx/templates
COPY root.conf /etc/nginx/templates/

# Dot not daemonize nginx
RUN echo 'daemon off;' >> /etc/nginx/nginx.conf

CMD bash /launch.sh
